<!-- Ceci est un commentaire en HTML -->
<!-- Déclaration standard d'un document HTML 5 -->
<!DOCTYPE html>
<!-- 
    La balise <html> représente l'élément racine du document.
    L'attribut 'lang' permet de préciser la langue par défaut 
    du contenu textuel de la page.
-->
<html lang="fr">
<!--
    L'élément <head> contient des éléments relatifs aux métadonnées
    (encodage, titre, scripts, etc...).
    Il se place dans <html> et avant <body>
-->
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- 
        Le contenu de <title> sera affiché dans la barre de titre
        du navigateur.
    -->
    <title>Démo Bases HTML</title>
</head>
<!-- L'élément <body> contient l'ensemble des éléments affichés sur la page -->
<body>
    <!--
        Les balises permettent de définir différents types de contenus
        et leur donner une siginification (titre, paragraphe, lste, etc...)

        Il existe 2 types d'éléments en terme d'affichage :

        1. BLOCK - occupent toute la largeur de la page :
            - <h1> à <h6> : titres (niveau 1 à 6)
            - <p> : paragraphe
            - <ol> et <ul> / <li> : liste numérotée et à puce / élément de liste
            - <table> : tableau
            - <form> : formulaire
            - <div> : élémeny neutre
            - <header>, <footer>, <nav>, <section>, <article>, <aside> : balise sémantique
        
        2. INLINE - occupent la largeur de leur contenu
            - <a> : lien hypertexte
            - <img> : image
            - <label> : label
            - <input> : contrôle intéractif avec l'utilisateur
            - <span> : élément neutre
            - <em>, <strong>, <blockquote>, <cite> : éléments de style

        On utilise les balises sémantique afin d'organiser le code de la page.
        Ces balises se comportent par ailleurs de la même façon qu'une <div>.
    -->

    <header>
        <!-- La balise <h1> est généralement réservée au titre principal de la page -->
        <h1>Titre principal</h1>
    </header>

    <article>

        <!-- Les balises de titre <h2> à <h6> -->
        <h2>Un titre de niveau 2</h2>
        <h3>Un titre de niveau 3</h3>
        <h4>Un titre de niveau 4</h4>
        <h5>Un titre de niveau 5</h5>
        <h6>Un titre de niveau 6</h6>

        <!-- L'élément paragraphe pour le contenu textuel -->
        <p>
            Lorem ipsum dolor, sit amet consectetur adipisicing elit. 
            Praesentium in, ut a quidem libero fugiat deserunt enim 
            numquam deleniti temporibus laborum, iure dolorum, mollitia 
            reiciendis voluptatum molestias iusto nostrum accusantium.
        </p>

        <p>
            <span style="color: blueviolet;">
                Lorem ipsum dolor, sit amet consectetur adipisicing elit. 
                Praesentium in
            </span>
            <span style="color: coral;">
                , ut a quidem libero fugiat deserunt enim 
                numquam deleniti temporibus laborum, iure dolorum, mollitia 
                reiciendis voluptatum molestias iusto nostrum accusantium.
            </span> 
        </p>

        <!-- Listes -->
        <!-- <ol> pour 'ordered list' -->
        <ol>
            <!-- <li> pour 'list item' -->
            <li>Main Coon</li>
            <li>Siamois</li>
            <li>Savanah</li>
            <li>Persan</li>
        </ol>
        <!-- <ul> pour 'unordered list' -->
        <ul>
            <li>Gros chat</li>
            <li>Moyen chat</li>
            <li>Petit chat</li>
        </ul>

        <!-- Tableau -->
        <table border="1">
            <!-- <tr> pour 'table row' -->
            <tr>
                <!-- <th> pour 'table header' -->
                <th>Gros chat</th>
                <th>Moyen chat</th>
                <th>Petit chat</th>
            </tr>
            <tr>
                <!-- <td> pour 'table data' -->
                <td>Savanah</td>
                <td>Chartreux</td>
                <td>Munchkin</td>
            </tr>
            <tr>
                <td>Ragdoll</td>
                <td>Siamois</td>
                <td>Rusty Spotted</td>
            </tr>
        </table>

        <!-- <br /> pour rajouter un saut de ligne (balise auto-fermante) -->
        <br />

        <!-- La balise <div> sert à créer un bloc suivi d'un saut de ligne -->
        <div>
            <!-- <img /> pour insérer une image (balise auto-fermante) -->
            <img 
                src="../resources/pictures/azrael.jpg"
                alt="Photo d'Azraël"
                width="25%"
                style="border: 1px solid black"
            />
        </div>
        
        <div>
            <!-- <video> pour insérer une vidéo -->
            <video 
                src="../resources/video/cat.mp4"
                width="600"
                height="400"
                controls
            ></video>
        </div>

        <br />

        <div>
            <a href="https://www.ecoleql.fr" target="_blank">
                Un lien vers le site de l'EQL
            </a>
        </div>

        <br />

        <!--
            <form> permet d'insérer un formulaire contenant des contrôles intéractifs.
            'action' permet de préciser la redirection qui sera effectuée lors du click
            sur le bouton contenu dans le formulaire.
        -->
        <form action="../resources/pictures/garfield.jpg">
            <!-- <label> pour associer un label avec un autre élément avec le paramètre 'for' -->
            <label for="cat_name_input">Entrez le nom d'un chat : </label>
            <!-- 
                Un <input> permet d'intéragir avec le formulaire , d'une manière dépendante de
                son type - Un input de type 'text' pour un champs texte.
                Il s'agit d'une balise ouvrante sans balise fermante.
                Le paramètre 'name' permet de transmettre la valeur du champs dans la requête HTTP.
             -->
            <input type="text" id="cat_name_input" name="cat_name">
            <!--
                <input> de type 'submit' pour un bouton - 'value' pour le texte affiché sur le bouton
            -->
            <input type="submit" value="Valider">
        </form>

    </article>

    <footer>
        <h4>Infos de bas de page</h4>
    </footer>
</body>
</html>